Skip to main content
PATCH
/
v1
/
voice
/
agent
Update Agent
curl --request PATCH \
  --url https://api.selcor.ai/v1/voice/agent \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "voice_id": "<string>",
  "begin_message": "<string>",
  "llm_system_prompt": "<string>",
  "knowledge_base_text": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "name": "<string>",
    "voice_id": "<string>",
    "language": "<string>",
    "begin_message": "<string>",
    "knowledge_base_text": "<string>",
    "updated_at": "2023-11-07T05:31:56Z"
  },
  "request_id": "<string>"
}

Authorizations

Authorization
string
header
required

API key in format: sk_live_...

Query Parameters

location_id
string
required
Example:

"clxyz123"

Body

application/json
name
string
Minimum string length: 1
voice_id
string
Minimum string length: 1
begin_message
string
llm_system_prompt
string
knowledge_base_text
string

Response

200 - application/json

Updated agent

data
object
required
request_id
string
required